org.apache.commons.imaging.formats.tiff.constants

## Class DngTagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.DngTagConstants

-     public final class DngTagConstants
      extends Object

  Digital Negative (DNG) Specification
  http://www.adobe.com/products/dng/pdfs/dng_spec_1_3_0_0.pdf

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<TagInfo>` | `ALL_DNG_TAGS`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_CLOUDY`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_COOL_WHITE_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_D50`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_D55`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_D65`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_D75`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_DAY_WHITE_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_DAYLIGHT`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_DAYLIGHT_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_FINE_WEATHER`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_FLASH`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_ISO_STUDIO_TUNGSTEN`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_OTHER`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_SHADE`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_A`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_B`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_C`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_TUNGSTEN`
    `static int` | `CALIBRATION_ILLUMINANT_1_VALUE_WHITE_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_CLOUDY`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_COOL_WHITE_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_D50`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_D55`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_D65`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_D75`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_DAY_WHITE_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_DAYLIGHT`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_DAYLIGHT_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_FINE_WEATHER`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_FLASH`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_FLUORESCENT`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_ISO_STUDIO_TUNGSTEN`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_OTHER`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_SHADE`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_A`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_B`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_C`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_TUNGSTEN`
    `static int` | `CALIBRATION_ILLUMINANT_2_VALUE_WHITE_FLUORESCENT`
    `static int` | `CFALAYOUT_VALUE_EVEN_COLUMNS_OFFSET_DOWN_1_2_ROW`
    `static int` | `CFALAYOUT_VALUE_EVEN_COLUMNS_OFFSET_UP_1_2_ROW`
    `static int` | `CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_DOWN_1_2_ROW_EVEN_COLUMNS_OFFSET_LEFT_1_2_COLUMN`
    `static int` | `CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_DOWN_1_2_ROW_EVEN_COLUMNS_OFFSET_RIGHT_1_2_COLUMN`
    `static int` | `CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_LEFT_1_2_COLUMN`
    `static int` | `CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_RIGHT_1_2_COLUMN`
    `static int` | `CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_UP_1_2_ROW_EVEN_COLUMNS_OFFSET_LEFT_1_2_COLUMN`
    `static int` | `CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_UP_1_2_ROW_EVEN_COLUMNS_OFFSET_RIGHT_1_2_COLUMN`
    `static int` | `CFALAYOUT_VALUE_RECTANGULAR`
    `static short` | `COLORIMETRIC_REFERENCE_VALUE_OUTPUT_REFERRED`
    `static short` | `COLORIMETRIC_REFERENCE_VALUE_SCENE_REFERRED`
    `static TagInfoShortOrLong` | `EXIF_TAG_ACTIVE_AREA`
    `static TagInfoRationals` | `EXIF_TAG_ANALOG_BALANCE`
    `static TagInfoRational` | `EXIF_TAG_ANTI_ALIAS_STRENGTH`
    `static TagInfoUndefineds` | `EXIF_TAG_AS_SHOT_ICCPROFILE`
    `static TagInfoShortOrRational` | `EXIF_TAG_AS_SHOT_NEUTRAL`
    `static TagInfoSRationals` | `EXIF_TAG_AS_SHOT_PRE_PROFILE_MATRIX`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_AS_SHOT_PROFILE_NAME`
    `static TagInfoRationals` | `EXIF_TAG_AS_SHOT_WHITE_XY`
    `static TagInfoSRational` | `EXIF_TAG_BASELINE_EXPOSURE`
    `static TagInfoRational` | `EXIF_TAG_BASELINE_NOISE`
    `static TagInfoRational` | `EXIF_TAG_BASELINE_SHARPNESS`
    `static TagInfoLong` | `EXIF_TAG_BAYER_GREEN_SPLIT`
    `static TagInfoRational` | `EXIF_TAG_BEST_QUALITY_SCALE`
    `static TagInfoShortOrLongOrRational` | `EXIF_TAG_BLACK_LEVEL`
    `static TagInfoSRationals` | `EXIF_TAG_BLACK_LEVEL_DELTA_H`
    `static TagInfoSRationals` | `EXIF_TAG_BLACK_LEVEL_DELTA_V`
    `static TagInfoShorts` | `EXIF_TAG_BLACK_LEVEL_REPEAT_DIM`
    `static TagInfoShort` | `EXIF_TAG_CALIBRATION_ILLUMINANT_1`
    `static TagInfoShort` | `EXIF_TAG_CALIBRATION_ILLUMINANT_2`
    `static TagInfoSRationals` | `EXIF_TAG_CAMERA_CALIBRATION_1`
    `static TagInfoSRationals` | `EXIF_TAG_CAMERA_CALIBRATION_2`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_CAMERA_CALIBRATION_SIGNATURE`
    `static TagInfoAscii` | `EXIF_TAG_CAMERA_SERIAL_NUMBER`
    `static TagInfoShort` | `EXIF_TAG_CFALAYOUT`
    `static TagInfoBytes` | `EXIF_TAG_CFAPLANE_COLOR`
    `static TagInfoRational` | `EXIF_TAG_CHROMA_BLUR_RADIUS`
    `static TagInfoSRationals` | `EXIF_TAG_COLOR_MATRIX_1`
    `static TagInfoSRationals` | `EXIF_TAG_COLOR_MATRIX_2`
    `static TagInfoShort` | `EXIF_TAG_COLORIMETRIC_REFERENCE`
    `static TagInfoUndefineds` | `EXIF_TAG_CURRENT_ICCPROFILE`
    `static TagInfoSRationals` | `EXIF_TAG_CURRENT_PRE_PROFILE_MATRIX`
    `static TagInfoShortOrLongOrRational` | `EXIF_TAG_DEFAULT_CROP_ORIGIN`
    `static TagInfoShortOrLongOrRational` | `EXIF_TAG_DEFAULT_CROP_SIZE`
    `static TagInfoRationals` | `EXIF_TAG_DEFAULT_SCALE`
    `static TagInfoBytes` | `EXIF_TAG_DNG_BACKWARD_VERSION`
    `static TagInfoRationals` | `EXIF_TAG_DNG_LENS_INFO`
    `static TagInfoBytes` | `EXIF_TAG_DNG_PRIVATE_DATA`
    `static TagInfoBytes` | `EXIF_TAG_DNG_VERSION`
    `static TagInfoLongs` | `EXIF_TAG_EXTRA_CAMERA_PROFILES`
    `static TagInfoSRationals` | `EXIF_TAG_FORWARD_MATRIX1`
    `static TagInfoSRationals` | `EXIF_TAG_FORWARD_MATRIX2`
    `static TagInfoRational` | `EXIF_TAG_LINEAR_RESPONSE_LIMIT`
    `static TagInfoShorts` | `EXIF_TAG_LINEARIZATION_TABLE`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_LOCALIZED_CAMERA_MODEL`
    `static TagInfoShort` | `EXIF_TAG_MAKER_NOTE_SAFETY`
    `static TagInfoShortOrLong` | `EXIF_TAG_MASKED_AREAS`
    `static TagInfoDoubles` | `EXIF_TAG_NOISE_PROFILE`
    `static TagInfoRational` | `EXIF_TAG_NOISE_REDUCTION_APPLIED`
    `static TagInfoUndefineds` | `EXIF_TAG_OPCODE_LIST_1`
    `static TagInfoUndefineds` | `EXIF_TAG_OPCODE_LIST_2`
    `static TagInfoUndefineds` | `EXIF_TAG_OPCODE_LIST_3`
    `static TagInfoUndefineds` | `EXIF_TAG_ORIGINAL_RAW_FILE_DATA`
    `static TagInfoBytes` | `EXIF_TAG_ORIGINAL_RAW_FILE_DIGEST`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_ORIGINAL_RAW_FILE_NAME`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_PREVIEW_APPLICATION_NAME`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_PREVIEW_APPLICATION_VERSION`
    `static TagInfoLong` | `EXIF_TAG_PREVIEW_COLORSPACE`
    `static TagInfoAscii` | `EXIF_TAG_PREVIEW_DATE_TIME`
    `static TagInfoBytes` | `EXIF_TAG_PREVIEW_SETTINGS_DIGEST`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_PREVIEW_SETTINGS_NAME`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_PROFILE_CALIBRATION_SIGNATURE`
    `static TagInfoAsciiOrByte` | `EXIF_TAG_PROFILE_COPYRIGHT`
    `static TagInfoLong` | `EXIF_TAG_PROFILE_EMBED_POLICY`
    `static TagInfoFloats` | `EXIF_TAG_PROFILE_HUE_SAT_MAP_DATA1`
    `static TagInfoFloats` | `EXIF_TAG_PROFILE_HUE_SAT_MAP_DATA2`
    `static TagInfoLongs` | `EXIF_TAG_PROFILE_HUE_SAT_MAP_DIMS`
    `static TagInfoFloats` | `EXIF_TAG_PROFILE_LOOK_TABLE_DATA`
    `static TagInfoLongs` | `EXIF_TAG_PROFILE_LOOK_TABLE_DIMS`
    `static TagInfoAscii` | `EXIF_TAG_PROFILE_NAME`
    `static TagInfoFloats` | `EXIF_TAG_PROFILE_TONE_CURVE`
    `static TagInfoBytes` | `EXIF_TAG_RAW_DATA_UNIQUE_ID`
    `static TagInfoBytes` | `EXIF_TAG_RAW_IMAGE_DIGEST`
    `static TagInfoSRationals` | `EXIF_TAG_REDUCTION_MATRIX_1`
    `static TagInfoSRationals` | `EXIF_TAG_REDUCTION_MATRIX_2`
    `static TagInfoShortOrLong` | `EXIF_TAG_ROW_INTERLEAVE_FACTOR`
    `static TagInfoRational` | `EXIF_TAG_SHADOW_SCALE`
    `static TagInfoShortOrLong` | `EXIF_TAG_SUB_TILE_BLOCK_SIZE`
    `static TagInfoAscii` | `EXIF_TAG_UNIQUE_CAMERA_MODEL`
    `static TagInfoShortOrLong` | `EXIF_TAG_WHITE_LEVEL`
    `static int` | `MAKER_NOTE_SAFETY_VALUE_SAFE`
    `static int` | `MAKER_NOTE_SAFETY_VALUE_UNSAFE`
    `static int` | `PREVIEW_COLORSPACE_VALUE_ADOBE_RGB`
    `static int` | `PREVIEW_COLORSPACE_VALUE_GRAY_GAMMA_2_2`
    `static int` | `PREVIEW_COLORSPACE_VALUE_PROPHOTO_RGB`
    `static int` | `PREVIEW_COLORSPACE_VALUE_sRGB`
    `static int` | `PREVIEW_COLORSPACE_VALUE_UNKNOWN`
    `static int` | `PROFILE_EMBED_POLICY_VALUE_ALLOW_COPYING`
    `static int` | `PROFILE_EMBED_POLICY_VALUE_EMBED_IF_USED`
    `static int` | `PROFILE_EMBED_POLICY_VALUE_EMBED_NEVER`
    `static int` | `PROFILE_EMBED_POLICY_VALUE_NO_RESTRICTIONS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXIF_TAG_DNG_VERSION

          public static final TagInfoBytes EXIF_TAG_DNG_VERSION

    - #### EXIF_TAG_DNG_BACKWARD_VERSION

          public static final TagInfoBytes EXIF_TAG_DNG_BACKWARD_VERSION

    - #### EXIF_TAG_UNIQUE_CAMERA_MODEL

          public static final TagInfoAscii EXIF_TAG_UNIQUE_CAMERA_MODEL

    - #### EXIF_TAG_LOCALIZED_CAMERA_MODEL

          public static final TagInfoAsciiOrByte EXIF_TAG_LOCALIZED_CAMERA_MODEL

    - #### EXIF_TAG_CFAPLANE_COLOR

          public static final TagInfoBytes EXIF_TAG_CFAPLANE_COLOR

    - #### EXIF_TAG_CFALAYOUT

          public static final TagInfoShort EXIF_TAG_CFALAYOUT

    - #### CFALAYOUT_VALUE_RECTANGULAR

          public static final int CFALAYOUT_VALUE_RECTANGULAR

      See Also:
        Constant Field Values

    - #### CFALAYOUT_VALUE_EVEN_COLUMNS_OFFSET_DOWN_1_2_ROW

          public static final int CFALAYOUT_VALUE_EVEN_COLUMNS_OFFSET_DOWN_1_2_ROW

      See Also:
        Constant Field Values

    - #### CFALAYOUT_VALUE_EVEN_COLUMNS_OFFSET_UP_1_2_ROW

          public static final int CFALAYOUT_VALUE_EVEN_COLUMNS_OFFSET_UP_1_2_ROW

      See Also:
        Constant Field Values

    - #### CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_RIGHT_1_2_COLUMN

          public static final int CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_RIGHT_1_2_COLUMN

      See Also:
        Constant Field Values

    - #### CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_LEFT_1_2_COLUMN

          public static final int CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_LEFT_1_2_COLUMN

      See Also:
        Constant Field Values

    - #### CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_UP_1_2_ROW_EVEN_COLUMNS_OFFSET_LEFT_1_2_COLUMN

          public static final int CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_UP_1_2_ROW_EVEN_COLUMNS_OFFSET_LEFT_1_2_COLUMN

      See Also:
        Constant Field Values

    - #### CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_UP_1_2_ROW_EVEN_COLUMNS_OFFSET_RIGHT_1_2_COLUMN

          public static final int CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_UP_1_2_ROW_EVEN_COLUMNS_OFFSET_RIGHT_1_2_COLUMN

      See Also:
        Constant Field Values

    - #### CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_DOWN_1_2_ROW_EVEN_COLUMNS_OFFSET_LEFT_1_2_COLUMN

          public static final int CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_DOWN_1_2_ROW_EVEN_COLUMNS_OFFSET_LEFT_1_2_COLUMN

      See Also:
        Constant Field Values

    - #### CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_DOWN_1_2_ROW_EVEN_COLUMNS_OFFSET_RIGHT_1_2_COLUMN

          public static final int CFALAYOUT_VALUE_EVEN_ROWS_OFFSET_DOWN_1_2_ROW_EVEN_COLUMNS_OFFSET_RIGHT_1_2_COLUMN

      See Also:
        Constant Field Values

    - #### EXIF_TAG_LINEARIZATION_TABLE

          public static final TagInfoShorts EXIF_TAG_LINEARIZATION_TABLE

    - #### EXIF_TAG_BLACK_LEVEL_REPEAT_DIM

          public static final TagInfoShorts EXIF_TAG_BLACK_LEVEL_REPEAT_DIM

    - #### EXIF_TAG_BLACK_LEVEL

          public static final TagInfoShortOrLongOrRational EXIF_TAG_BLACK_LEVEL

    - #### EXIF_TAG_BLACK_LEVEL_DELTA_H

          public static final TagInfoSRationals EXIF_TAG_BLACK_LEVEL_DELTA_H

    - #### EXIF_TAG_BLACK_LEVEL_DELTA_V

          public static final TagInfoSRationals EXIF_TAG_BLACK_LEVEL_DELTA_V

    - #### EXIF_TAG_WHITE_LEVEL

          public static final TagInfoShortOrLong EXIF_TAG_WHITE_LEVEL

    - #### EXIF_TAG_DEFAULT_SCALE

          public static final TagInfoRationals EXIF_TAG_DEFAULT_SCALE

    - #### EXIF_TAG_DEFAULT_CROP_ORIGIN

          public static final TagInfoShortOrLongOrRational EXIF_TAG_DEFAULT_CROP_ORIGIN

    - #### EXIF_TAG_DEFAULT_CROP_SIZE

          public static final TagInfoShortOrLongOrRational EXIF_TAG_DEFAULT_CROP_SIZE

    - #### EXIF_TAG_COLOR_MATRIX_1

          public static final TagInfoSRationals EXIF_TAG_COLOR_MATRIX_1

    - #### EXIF_TAG_COLOR_MATRIX_2

          public static final TagInfoSRationals EXIF_TAG_COLOR_MATRIX_2

    - #### EXIF_TAG_CAMERA_CALIBRATION_1

          public static final TagInfoSRationals EXIF_TAG_CAMERA_CALIBRATION_1

    - #### EXIF_TAG_CAMERA_CALIBRATION_2

          public static final TagInfoSRationals EXIF_TAG_CAMERA_CALIBRATION_2

    - #### EXIF_TAG_REDUCTION_MATRIX_1

          public static final TagInfoSRationals EXIF_TAG_REDUCTION_MATRIX_1

    - #### EXIF_TAG_REDUCTION_MATRIX_2

          public static final TagInfoSRationals EXIF_TAG_REDUCTION_MATRIX_2

    - #### EXIF_TAG_ANALOG_BALANCE

          public static final TagInfoRationals EXIF_TAG_ANALOG_BALANCE

    - #### EXIF_TAG_AS_SHOT_NEUTRAL

          public static final TagInfoShortOrRational EXIF_TAG_AS_SHOT_NEUTRAL

    - #### EXIF_TAG_AS_SHOT_WHITE_XY

          public static final TagInfoRationals EXIF_TAG_AS_SHOT_WHITE_XY

    - #### EXIF_TAG_BASELINE_EXPOSURE

          public static final TagInfoSRational EXIF_TAG_BASELINE_EXPOSURE

    - #### EXIF_TAG_BASELINE_NOISE

          public static final TagInfoRational EXIF_TAG_BASELINE_NOISE

    - #### EXIF_TAG_BASELINE_SHARPNESS

          public static final TagInfoRational EXIF_TAG_BASELINE_SHARPNESS

    - #### EXIF_TAG_BAYER_GREEN_SPLIT

          public static final TagInfoLong EXIF_TAG_BAYER_GREEN_SPLIT

    - #### EXIF_TAG_LINEAR_RESPONSE_LIMIT

          public static final TagInfoRational EXIF_TAG_LINEAR_RESPONSE_LIMIT

    - #### EXIF_TAG_CAMERA_SERIAL_NUMBER

          public static final TagInfoAscii EXIF_TAG_CAMERA_SERIAL_NUMBER

    - #### EXIF_TAG_DNG_LENS_INFO

          public static final TagInfoRationals EXIF_TAG_DNG_LENS_INFO

    - #### EXIF_TAG_CHROMA_BLUR_RADIUS

          public static final TagInfoRational EXIF_TAG_CHROMA_BLUR_RADIUS

    - #### EXIF_TAG_ANTI_ALIAS_STRENGTH

          public static final TagInfoRational EXIF_TAG_ANTI_ALIAS_STRENGTH

    - #### EXIF_TAG_SHADOW_SCALE

          public static final TagInfoRational EXIF_TAG_SHADOW_SCALE

    - #### EXIF_TAG_DNG_PRIVATE_DATA

          public static final TagInfoBytes EXIF_TAG_DNG_PRIVATE_DATA

    - #### EXIF_TAG_MAKER_NOTE_SAFETY

          public static final TagInfoShort EXIF_TAG_MAKER_NOTE_SAFETY

    - #### MAKER_NOTE_SAFETY_VALUE_UNSAFE

          public static final int MAKER_NOTE_SAFETY_VALUE_UNSAFE

      See Also:
        Constant Field Values

    - #### MAKER_NOTE_SAFETY_VALUE_SAFE

          public static final int MAKER_NOTE_SAFETY_VALUE_SAFE

      See Also:
        Constant Field Values

    - #### EXIF_TAG_CALIBRATION_ILLUMINANT_1

          public static final TagInfoShort EXIF_TAG_CALIBRATION_ILLUMINANT_1

    - #### CALIBRATION_ILLUMINANT_1_VALUE_DAYLIGHT

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_DAYLIGHT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_TUNGSTEN

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_TUNGSTEN

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_FLASH

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_FLASH

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_FINE_WEATHER

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_FINE_WEATHER

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_CLOUDY

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_CLOUDY

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_SHADE

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_SHADE

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_DAYLIGHT_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_DAYLIGHT_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_DAY_WHITE_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_DAY_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_COOL_WHITE_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_COOL_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_WHITE_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_A

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_A

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_B

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_B

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_C

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_STANDARD_LIGHT_C

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_D55

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_D55

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_D65

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_D65

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_D75

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_D75

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_D50

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_D50

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_ISO_STUDIO_TUNGSTEN

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_ISO_STUDIO_TUNGSTEN

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_1_VALUE_OTHER

          public static final int CALIBRATION_ILLUMINANT_1_VALUE_OTHER

      See Also:
        Constant Field Values

    - #### EXIF_TAG_CALIBRATION_ILLUMINANT_2

          public static final TagInfoShort EXIF_TAG_CALIBRATION_ILLUMINANT_2

    - #### CALIBRATION_ILLUMINANT_2_VALUE_DAYLIGHT

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_DAYLIGHT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_TUNGSTEN

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_TUNGSTEN

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_FLASH

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_FLASH

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_FINE_WEATHER

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_FINE_WEATHER

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_CLOUDY

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_CLOUDY

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_SHADE

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_SHADE

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_DAYLIGHT_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_DAYLIGHT_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_DAY_WHITE_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_DAY_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_COOL_WHITE_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_COOL_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_WHITE_FLUORESCENT

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_WHITE_FLUORESCENT

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_A

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_A

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_B

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_B

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_C

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_STANDARD_LIGHT_C

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_D55

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_D55

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_D65

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_D65

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_D75

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_D75

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_D50

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_D50

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_ISO_STUDIO_TUNGSTEN

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_ISO_STUDIO_TUNGSTEN

      See Also:
        Constant Field Values

    - #### CALIBRATION_ILLUMINANT_2_VALUE_OTHER

          public static final int CALIBRATION_ILLUMINANT_2_VALUE_OTHER

      See Also:
        Constant Field Values

    - #### EXIF_TAG_BEST_QUALITY_SCALE

          public static final TagInfoRational EXIF_TAG_BEST_QUALITY_SCALE

    - #### EXIF_TAG_RAW_DATA_UNIQUE_ID

          public static final TagInfoBytes EXIF_TAG_RAW_DATA_UNIQUE_ID

    - #### EXIF_TAG_ORIGINAL_RAW_FILE_NAME

          public static final TagInfoAsciiOrByte EXIF_TAG_ORIGINAL_RAW_FILE_NAME

    - #### EXIF_TAG_ORIGINAL_RAW_FILE_DATA

          public static final TagInfoUndefineds EXIF_TAG_ORIGINAL_RAW_FILE_DATA

    - #### EXIF_TAG_ACTIVE_AREA

          public static final TagInfoShortOrLong EXIF_TAG_ACTIVE_AREA

    - #### EXIF_TAG_MASKED_AREAS

          public static final TagInfoShortOrLong EXIF_TAG_MASKED_AREAS

    - #### EXIF_TAG_AS_SHOT_ICCPROFILE

          public static final TagInfoUndefineds EXIF_TAG_AS_SHOT_ICCPROFILE

    - #### EXIF_TAG_AS_SHOT_PRE_PROFILE_MATRIX

          public static final TagInfoSRationals EXIF_TAG_AS_SHOT_PRE_PROFILE_MATRIX

    - #### EXIF_TAG_CURRENT_ICCPROFILE

          public static final TagInfoUndefineds EXIF_TAG_CURRENT_ICCPROFILE

    - #### EXIF_TAG_CURRENT_PRE_PROFILE_MATRIX

          public static final TagInfoSRationals EXIF_TAG_CURRENT_PRE_PROFILE_MATRIX

    - #### EXIF_TAG_COLORIMETRIC_REFERENCE

          public static final TagInfoShort EXIF_TAG_COLORIMETRIC_REFERENCE

    - #### COLORIMETRIC_REFERENCE_VALUE_SCENE_REFERRED

          public static final short COLORIMETRIC_REFERENCE_VALUE_SCENE_REFERRED

      See Also:
        Constant Field Values

    - #### COLORIMETRIC_REFERENCE_VALUE_OUTPUT_REFERRED

          public static final short COLORIMETRIC_REFERENCE_VALUE_OUTPUT_REFERRED

      See Also:
        Constant Field Values

    - #### EXIF_TAG_CAMERA_CALIBRATION_SIGNATURE

          public static final TagInfoAsciiOrByte EXIF_TAG_CAMERA_CALIBRATION_SIGNATURE

    - #### EXIF_TAG_PROFILE_CALIBRATION_SIGNATURE

          public static final TagInfoAsciiOrByte EXIF_TAG_PROFILE_CALIBRATION_SIGNATURE

    - #### EXIF_TAG_EXTRA_CAMERA_PROFILES

          public static final TagInfoLongs EXIF_TAG_EXTRA_CAMERA_PROFILES

    - #### EXIF_TAG_AS_SHOT_PROFILE_NAME

          public static final TagInfoAsciiOrByte EXIF_TAG_AS_SHOT_PROFILE_NAME

    - #### EXIF_TAG_NOISE_REDUCTION_APPLIED

          public static final TagInfoRational EXIF_TAG_NOISE_REDUCTION_APPLIED

    - #### EXIF_TAG_PROFILE_NAME

          public static final TagInfoAscii EXIF_TAG_PROFILE_NAME

    - #### EXIF_TAG_PROFILE_HUE_SAT_MAP_DIMS

          public static final TagInfoLongs EXIF_TAG_PROFILE_HUE_SAT_MAP_DIMS

    - #### EXIF_TAG_PROFILE_HUE_SAT_MAP_DATA1

          public static final TagInfoFloats EXIF_TAG_PROFILE_HUE_SAT_MAP_DATA1

    - #### EXIF_TAG_PROFILE_HUE_SAT_MAP_DATA2

          public static final TagInfoFloats EXIF_TAG_PROFILE_HUE_SAT_MAP_DATA2

    - #### EXIF_TAG_PROFILE_TONE_CURVE

          public static final TagInfoFloats EXIF_TAG_PROFILE_TONE_CURVE

    - #### EXIF_TAG_PROFILE_EMBED_POLICY

          public static final TagInfoLong EXIF_TAG_PROFILE_EMBED_POLICY

    - #### PROFILE_EMBED_POLICY_VALUE_ALLOW_COPYING

          public static final int PROFILE_EMBED_POLICY_VALUE_ALLOW_COPYING

      See Also:
        Constant Field Values

    - #### PROFILE_EMBED_POLICY_VALUE_EMBED_IF_USED

          public static final int PROFILE_EMBED_POLICY_VALUE_EMBED_IF_USED

      See Also:
        Constant Field Values

    - #### PROFILE_EMBED_POLICY_VALUE_EMBED_NEVER

          public static final int PROFILE_EMBED_POLICY_VALUE_EMBED_NEVER

      See Also:
        Constant Field Values

    - #### PROFILE_EMBED_POLICY_VALUE_NO_RESTRICTIONS

          public static final int PROFILE_EMBED_POLICY_VALUE_NO_RESTRICTIONS

      See Also:
        Constant Field Values

    - #### EXIF_TAG_PROFILE_COPYRIGHT

          public static final TagInfoAsciiOrByte EXIF_TAG_PROFILE_COPYRIGHT

    - #### EXIF_TAG_FORWARD_MATRIX1

          public static final TagInfoSRationals EXIF_TAG_FORWARD_MATRIX1

    - #### EXIF_TAG_FORWARD_MATRIX2

          public static final TagInfoSRationals EXIF_TAG_FORWARD_MATRIX2

    - #### EXIF_TAG_PREVIEW_APPLICATION_NAME

          public static final TagInfoAsciiOrByte EXIF_TAG_PREVIEW_APPLICATION_NAME

    - #### EXIF_TAG_PREVIEW_APPLICATION_VERSION

          public static final TagInfoAsciiOrByte EXIF_TAG_PREVIEW_APPLICATION_VERSION

    - #### EXIF_TAG_PREVIEW_SETTINGS_NAME

          public static final TagInfoAsciiOrByte EXIF_TAG_PREVIEW_SETTINGS_NAME

    - #### EXIF_TAG_PREVIEW_SETTINGS_DIGEST

          public static final TagInfoBytes EXIF_TAG_PREVIEW_SETTINGS_DIGEST

    - #### EXIF_TAG_PREVIEW_COLORSPACE

          public static final TagInfoLong EXIF_TAG_PREVIEW_COLORSPACE

    - #### PREVIEW_COLORSPACE_VALUE_UNKNOWN

          public static final int PREVIEW_COLORSPACE_VALUE_UNKNOWN

      See Also:
        Constant Field Values

    - #### PREVIEW_COLORSPACE_VALUE_GRAY_GAMMA_2_2

          public static final int PREVIEW_COLORSPACE_VALUE_GRAY_GAMMA_2_2

      See Also:
        Constant Field Values

    - #### PREVIEW_COLORSPACE_VALUE_sRGB

          public static final int PREVIEW_COLORSPACE_VALUE_sRGB

      See Also:
        Constant Field Values

    - #### PREVIEW_COLORSPACE_VALUE_ADOBE_RGB

          public static final int PREVIEW_COLORSPACE_VALUE_ADOBE_RGB

      See Also:
        Constant Field Values

    - #### PREVIEW_COLORSPACE_VALUE_PROPHOTO_RGB

          public static final int PREVIEW_COLORSPACE_VALUE_PROPHOTO_RGB

      See Also:
        Constant Field Values

    - #### EXIF_TAG_PREVIEW_DATE_TIME

          public static final TagInfoAscii EXIF_TAG_PREVIEW_DATE_TIME

    - #### EXIF_TAG_RAW_IMAGE_DIGEST

          public static final TagInfoBytes EXIF_TAG_RAW_IMAGE_DIGEST

    - #### EXIF_TAG_ORIGINAL_RAW_FILE_DIGEST

          public static final TagInfoBytes EXIF_TAG_ORIGINAL_RAW_FILE_DIGEST

    - #### EXIF_TAG_SUB_TILE_BLOCK_SIZE

          public static final TagInfoShortOrLong EXIF_TAG_SUB_TILE_BLOCK_SIZE

    - #### EXIF_TAG_ROW_INTERLEAVE_FACTOR

          public static final TagInfoShortOrLong EXIF_TAG_ROW_INTERLEAVE_FACTOR

    - #### EXIF_TAG_PROFILE_LOOK_TABLE_DIMS

          public static final TagInfoLongs EXIF_TAG_PROFILE_LOOK_TABLE_DIMS

    - #### EXIF_TAG_PROFILE_LOOK_TABLE_DATA

          public static final TagInfoFloats EXIF_TAG_PROFILE_LOOK_TABLE_DATA

    - #### EXIF_TAG_OPCODE_LIST_1

          public static final TagInfoUndefineds EXIF_TAG_OPCODE_LIST_1

    - #### EXIF_TAG_OPCODE_LIST_2

          public static final TagInfoUndefineds EXIF_TAG_OPCODE_LIST_2

    - #### EXIF_TAG_OPCODE_LIST_3

          public static final TagInfoUndefineds EXIF_TAG_OPCODE_LIST_3

    - #### EXIF_TAG_NOISE_PROFILE

          public static final TagInfoDoubles EXIF_TAG_NOISE_PROFILE

    - #### ALL_DNG_TAGS

          public static final List<TagInfo> ALL_DNG_TAGS

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.